Can't start server, why?

Hi:
I’m trying to run rails server and I get this error:

[[email protected] config]# rails server
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/execjs-1.3.0/lib/execjs/runtimes.rb:50:in
autodetect': Could not find a JavaScript runtime. See https://github.com/sstephenson/execjs for a list of available runtimes. (ExecJS::RuntimeUnavailable) from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/execjs-1.3.0/lib/execjs.rb:5:inmodule:ExecJS
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/execjs-1.3.0/lib/execjs.rb:4:in
<top (required)>' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/coffee-script-2.2.0/lib/coffee_script.rb:1:inrequire’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/coffee-script-2.2.0/lib/coffee_script.rb:1:in
<top (required)>' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/coffee-script-2.2.0/lib/coffee-script.rb:1:inrequire’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/coffee-script-2.2.0/lib/coffee-script.rb:1:in
<top (required)>' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/coffee-rails-3.2.2/lib/coffee-rails.rb:1:inrequire’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/coffee-rails-3.2.2/lib/coffee-rails.rb:1:in
<top (required)>' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/bundler-1.0.22/lib/bundler/runtime.rb:68:inrequire’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/bundler-1.0.22/lib/bundler/runtime.rb:68:in
block (2 levels) in require' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/bundler-1.0.22/lib/bundler/runtime.rb:66:ineach’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/bundler-1.0.22/lib/bundler/runtime.rb:66:in
block in require' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/bundler-1.0.22/lib/bundler/runtime.rb:55:ineach’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/bundler-1.0.22/lib/bundler/runtime.rb:55:in
require' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/bundler-1.0.22/lib/bundler.rb:122:inrequire’
from /var/www/html/jobapp/config/application.rb:7:in <top (required)>' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/railties-3.2.1/lib/rails/commands.rb:53:inrequire’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/railties-3.2.1/lib/rails/commands.rb:53:in
block in <top (required)>' from /usr/local/rvm/gems/ruby-1.9.3-p125/gems/railties-3.2.1/lib/rails/commands.rb:50:intap’
from
/usr/local/rvm/gems/ruby-1.9.3-p125/gems/railties-3.2.1/lib/rails/commands.rb:50:in
<top (required)>' from script/rails:6:inrequire’
from script/rails:6:in `’

What is missing there? Why I can’t test my application?

Ing. Reynier Prez Mira

On Fri, Mar 2, 2012 at 7:04 AM, [email protected]
[email protected] wrote:

Hi:
I’m trying to run rails server and I get this error:

[[email protected] config]# rails server

/usr/local/rvm/gems/ruby-1.9.3-p125/gems/execjs-1.3.0/lib/execjs/runtimes.rb:50:in

`autodetect’: Could not find a JavaScript runtime. See
https://github.com/sstephenson/execjs for a list of available runtimes.
(ExecJS::RuntimeUnavailable)

There needs to be one Javascript runtime installed as a gem.

  1. Try

$ rake environment

this will probably fail

  1. Add the line

gem ‘therubyracer’

to your Gemfile

  1. run

$ bundle install

this should install a few additional gems (related to v8).

  1. try

$ rake environment

again and now it should not fail

HTH,

Peter

$ rake environment

(in /var/www/html/jobapp)
rake aborted!
Could not find a JavaScript runtime. See
https://github.com/sstephenson/execjs for a list of available runtimes.

(See full trace by running task with --trace)

  1. Add the line

    gem ‘therubyracer’

to your Gemfile

I’ve stopped here because I’m starting with Ruby and RoR and not know
what you mean. Could you explain me a bit? Sorry for my ignorance but
I’m just learning

Ing. Reynier Perez M.
eMail: [email protected], [email protected]
Skype: reynierpm
Mobile: +58 424.180.5609
Site: http://reynierpm.site90.com

On 2 March 2012 11:46, ReynierPM [email protected] wrote:

  1. Add the line

gem ‘therubyracer’

to your Gemfile

I’ve stopped here because I’m starting with Ruby and RoR and not know what
you mean. Could you explain me a bit? Sorry for my ignorance but I’m just
learning

In the top level folder of your rails project you will find a file
Gemfile. Add the line gem ‘therubyracer’ to that (in fact I think you
may find it there already, but commented out, and then run bundle
install.

Of course you could have found this out with a bit of googling.

Colin

Open the file called Gemfile at the root of your project and add this
line: gem
‘therubyracer’.
Save the file and run bundle install.

Bruno C. Santiago

Ok and thanks now it works fine :slight_smile:
Ing. Reynier Perez M.
eMail: [email protected], [email protected]
Skype: reynierpm
Mobile: +58 424.180.5609
Site: http://reynierpm.site90.com

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs